<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="1081pt" height="284pt"
 viewBox="0.00 0.00 1081.00 284.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 280)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-280 1077,-280 1077,4 -4,4"/>
<text text-anchor="start" x="515.51" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="302.5,-10 302.5,-30 322.5,-30 322.5,-10 302.5,-10"/>
<text text-anchor="start" x="326.13" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="415.5,-10 415.5,-30 435.5,-30 435.5,-10 415.5,-10"/>
<text text-anchor="start" x="439.23" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="501.5,-10 501.5,-30 521.5,-30 521.5,-10 501.5,-10"/>
<text text-anchor="start" x="525.28" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="598.5,-10 598.5,-30 618.5,-30 618.5,-10 598.5,-10"/>
<text text-anchor="start" x="622.17" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="694.5,-10 694.5,-30 714.5,-30 714.5,-10 694.5,-10"/>
<text text-anchor="start" x="718.23" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="8,-70 8,-268 1065,-268 1065,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_AppModule_declarations</title>
<polygon fill="none" stroke="black" points="515,-78 515,-130 1057,-130 1057,-78 515,-78"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="16,-78 16,-130 507,-130 507,-78 16,-78"/>
</g>
<g id="clust9" class="cluster">
<title>cluster_AppModule_bootstrap</title>
<polygon fill="none" stroke="black" points="448,-208 448,-260 572,-260 572,-208 448,-208"/>
</g>
<!-- AppComponent -->
<g id="node1" class="node">
<title>AppComponent</title>
<polygon fill="#ffffb3" stroke="black" points="1048.94,-122 943.06,-122 943.06,-86 1048.94,-86 1048.94,-122"/>
<text text-anchor="middle" x="996" y="-99.8" font-family="Times,serif" font-size="14.00">AppComponent</text>
</g>
<!-- AppModule -->
<g id="node5" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="551.66,-187 548.66,-191 527.66,-191 524.66,-187 468.34,-187 468.34,-151 551.66,-151 551.66,-187"/>
<text text-anchor="middle" x="510" y="-164.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AppComponent&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AppComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M996,-122.29C996,-144.21 996,-178 996,-178 996,-178 561.86,-178 561.86,-178"/>
<polygon fill="black" stroke="black" points="561.86,-174.5 551.86,-178 561.86,-181.5 561.86,-174.5"/>
</g>
<!-- LandingComponent -->
<g id="node2" class="node">
<title>LandingComponent</title>
<polygon fill="#ffffb3" stroke="black" points="924.99,-122 797.01,-122 797.01,-86 924.99,-86 924.99,-122"/>
<text text-anchor="middle" x="861" y="-99.8" font-family="Times,serif" font-size="14.00">LandingComponent</text>
</g>
<!-- LandingComponent&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>LandingComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M861,-122.11C861,-141.34 861,-169 861,-169 861,-169 561.99,-169 561.99,-169"/>
<polygon fill="black" stroke="black" points="561.99,-165.5 551.99,-169 561.99,-172.5 561.99,-165.5"/>
</g>
<!-- LoginComponent -->
<g id="node3" class="node">
<title>LoginComponent</title>
<polygon fill="#ffffb3" stroke="black" points="779.28,-122 664.72,-122 664.72,-86 779.28,-86 779.28,-122"/>
<text text-anchor="middle" x="722" y="-99.8" font-family="Times,serif" font-size="14.00">LoginComponent</text>
</g>
<!-- LoginComponent&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>LoginComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M722,-122.03C722,-138.4 722,-160 722,-160 722,-160 561.88,-160 561.88,-160"/>
<polygon fill="black" stroke="black" points="561.88,-156.5 551.88,-160 561.88,-163.5 561.88,-156.5"/>
</g>
<!-- SignUpComponent -->
<g id="node4" class="node">
<title>SignUpComponent</title>
<polygon fill="#ffffb3" stroke="black" points="647.11,-122 522.89,-122 522.89,-86 647.11,-86 647.11,-122"/>
<text text-anchor="middle" x="585" y="-99.8" font-family="Times,serif" font-size="14.00">SignUpComponent</text>
</g>
<!-- SignUpComponent&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>SignUpComponent&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M537.39,-122.11C537.39,-122.11 537.39,-140.99 537.39,-140.99"/>
<polygon fill="black" stroke="black" points="533.89,-140.99 537.39,-150.99 540.89,-140.99 533.89,-140.99"/>
</g>
<!-- AppComponent  -->
<g id="node10" class="node">
<title>AppComponent </title>
<polygon fill="#80b1d3" stroke="black" points="564.44,-252 455.56,-252 455.56,-216 564.44,-216 564.44,-252"/>
<text text-anchor="middle" x="510" y="-229.8" font-family="Times,serif" font-size="14.00">AppComponent </text>
</g>
<!-- AppModule&#45;&gt;AppComponent  -->
<g id="edge9" class="edge">
<title>AppModule&#45;&gt;AppComponent </title>
<path fill="none" stroke="black" stroke-dasharray="1,5" d="M510,-187.11C510,-187.11 510,-205.99 510,-205.99"/>
<polygon fill="black" stroke="black" points="506.5,-205.99 510,-215.99 513.5,-205.99 506.5,-205.99"/>
</g>
<!-- AppRoutingModule -->
<g id="node6" class="node">
<title>AppRoutingModule</title>
<polygon fill="#8dd3c7" stroke="black" points="499.27,-122 496.27,-126 475.27,-126 472.27,-122 370.73,-122 370.73,-86 499.27,-86 499.27,-122"/>
<text text-anchor="middle" x="435" y="-99.8" font-family="Times,serif" font-size="14.00">AppRoutingModule</text>
</g>
<!-- AppRoutingModule&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>AppRoutingModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M483.78,-122.11C483.78,-122.11 483.78,-140.99 483.78,-140.99"/>
<polygon fill="black" stroke="black" points="480.28,-140.99 483.78,-150.99 487.28,-140.99 480.28,-140.99"/>
</g>
<!-- CoreModule -->
<g id="node7" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="black" points="352.26,-122 349.26,-126 328.26,-126 325.26,-122 265.74,-122 265.74,-86 352.26,-86 352.26,-122"/>
<text text-anchor="middle" x="309" y="-99.8" font-family="Times,serif" font-size="14.00">CoreModule</text>
</g>
<!-- CoreModule&#45;&gt;AppModule -->
<g id="edge6" class="edge">
<title>CoreModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M309,-122.03C309,-138.4 309,-160 309,-160 309,-160 457.86,-160 457.86,-160"/>
<polygon fill="black" stroke="black" points="457.86,-163.5 467.86,-160 457.86,-156.5 457.86,-163.5"/>
</g>
<!-- MaterialModule -->
<g id="node8" class="node">
<title>MaterialModule</title>
<polygon fill="#8dd3c7" stroke="black" points="247.47,-122 244.47,-126 223.47,-126 220.47,-122 140.53,-122 140.53,-86 247.47,-86 247.47,-122"/>
<text text-anchor="middle" x="194" y="-99.8" font-family="Times,serif" font-size="14.00">MaterialModule</text>
</g>
<!-- MaterialModule&#45;&gt;AppModule -->
<g id="edge7" class="edge">
<title>MaterialModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M194,-122.11C194,-141.34 194,-169 194,-169 194,-169 458.04,-169 458.04,-169"/>
<polygon fill="black" stroke="black" points="458.04,-172.5 468.04,-169 458.04,-165.5 458.04,-172.5"/>
</g>
<!-- SharedModule -->
<g id="node9" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="black" points="122.42,-122 119.42,-126 98.42,-126 95.42,-122 23.58,-122 23.58,-86 122.42,-86 122.42,-122"/>
<text text-anchor="middle" x="73" y="-99.8" font-family="Times,serif" font-size="14.00">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;AppModule -->
<g id="edge8" class="edge">
<title>SharedModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M73,-122.29C73,-144.21 73,-178 73,-178 73,-178 458.1,-178 458.1,-178"/>
<polygon fill="black" stroke="black" points="458.1,-181.5 468.1,-178 458.1,-174.5 458.1,-181.5"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/app.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LandingComponent.html">LandingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LoginComponent.html">LoginComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/SignUpComponent.html">SignUpComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/AppRoutingModule.html">AppRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/CoreModule.html">CoreModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/MaterialModule.html">MaterialModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Bootstrap<a href="https://angular.io/api/core/NgModule#bootstrap" target="_blank"
                            title="Official documentation about module bootstrap"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/AppComponent.html">AppComponent</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { BrowserModule } from &#x27;@angular/platform-browser&#x27;;
import { NgModule } from &#x27;@angular/core&#x27;;
import { FormsModule, ReactiveFormsModule } from &#x27;@angular/forms&#x27;;

import { AppRoutingModule } from &#x27;./app-routing.module&#x27;;

import { AppComponent } from &#x27;./app.component&#x27;;
import { LandingComponent } from &#x27;./landing/landing.component&#x27;;

import { SharedModule } from &#x27;./shared/shared.module&#x27;;
import { BrowserAnimationsModule } from &#x27;@angular/platform-browser/animations&#x27;;


import { LoginComponent } from &#x27;./login/login.component&#x27;;
import { SignUpComponent } from &#x27;./sign-up/sign-up.component&#x27;;
import { MaterialModule } from &#x27;./material-module&#x27;;
import { CoreModule } from &#x27;./core/core.module&#x27;;
import { HttpClientModule } from &#x27;@angular/common/http&#x27;;
import { HttpService } from &#x27;./services/http.service&#x27;;
import { AuthService } from &#x27;./services/auth.service&#x27;;

@NgModule({
  declarations: [
    AppComponent,
    LandingComponent,
    LoginComponent,
    SignUpComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    CoreModule,
    SharedModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    BrowserAnimationsModule,
    MaterialModule
  ],
  providers: [
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
